<?php

/*
 * @version $Id: arraycriteria.class.php 158 2011-06-28 15:46:31Z remi $
 -------------------------------------------------------------------------
 GLPI - Gestionnaire Libre de Parc Informatique
 Copyright (C) 2003-2011 by the INDEPNET Development Team.

 http://indepnet.net/   http://glpi-project.org
 -------------------------------------------------------------------------

 LICENSE

 This file is part of GLPI.

 GLPI is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 GLPI is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with GLPI; if not, write to the Free Software Foundation, Inc.,
 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 --------------------------------------------------------------------------
 */

// ----------------------------------------------------------------------
// Original Author of file:
// Purpose of file:
// ----------------------------------------------------------------------

/**
 * Ticket status selection criteria
 */
class PluginReportsArrayCriteria extends PluginReportsDropdownCriteria {
   private $choice = array();

   function __construct($report, $name, $label='', $options=array()) {
      global $LANG;

      parent::__construct($report, $name, NOT_AVAILABLE, ($label ? $label : $LANG['rulesengine'][16]));
      $this->choice = $options;
   }


   function getSubName() {

      $val = $this->getParameterValue();
      if (empty($val) || $val=='all') {
         return '';
      }
      return " " . $this->getCriteriaLabel() . " : " . $this->choice[$val];
   }


   public function displayDropdownCriteria() {

      Dropdown::showFromArray($this->getName(), $this->choice, array('value'=>$this->getParameterValue()));
   }

   /**
    * Get SQL code associated with the criteria
    */
   public function getSqlCriteriasRestriction($link = 'AND') {

      return $link . " " . $this->getSqlField() . "='".$this->getParameterValue()."' ";
   }
}

?>